# $Revision: 1.21 $, $Date: 2002/09/09 13:39:31 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	DB_File
%define	pnam	DB_File
Summary:	DB_File allows to manage a simple ASCII database.
Summary(pl):	DB_File pozwala na korzystanie z prostej, tekstowej bazy danych.
Name:		perl-DB_File
Version:	1.805
Release:	2
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pnam}-%{version}.tar.gz
Patch0:		%{name}-rpm-automation.patch
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DB_File is a module which allows Perl programs to make use of the
facilities provided by Berkeley DB version 1.

%description -l pl
DB_File jest moduem, ktry pozwala programom w Perlu na korzystanie
z udogodnie, dostarczanych przez Berkeley DB w wersji 1.

%prep
%setup -q -n %{pnam}-%{version}
%patch0 -p1

%build
perl Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
#install -d $RPM_BUILD_ROOT%{_mandir}/man3

%{__make} install DESTDIR=$RPM_BUILD_ROOT

#pod2man --section 3pm DB_File.pm >$RPM_BUILD_ROOT%{_mandir}/man3/DB_File.3pm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_archlib}/DB_File.pm
%dir %{perl_archlib}/auto/DB_File
%{perl_archlib}/auto/DB_File/DB_File.bs
%{perl_archlib}/auto/DB_File/autosplit.ix
%attr(755,root,root) %{perl_archlib}/auto/DB_File/DB_File.so
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-DB_File.spec,v $
Revision 1.21  2002/09/09 13:39:31  radek
- pl summary/description; release 2

Revision 1.20  2002/09/08 11:02:50  radek
- version 1.805
- provided informative summary/description
STBR

Revision 1.19  2002/07/27 21:28:35  ankry
- autosplit.ix is back
- release 4

Revision 1.18  2002/07/18 23:55:16  ankry
- added manpage
- removed autosplit.ix
- release 3

Revision 1.17  2002/07/16 11:32:50  ankry
- translations, cleaning
- release 2

Revision 1.16  2002/07/11 11:43:42  qboosh
- new %%doc, cosmetics

Revision 1.15  2002/07/11 07:58:40  depesz
- new version; should work; STBR

Revision 1.14  2002/05/11 21:20:00  areq
- 1.803, STBR

Revision 1.13  2002/05/11 14:28:06  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.12  2002/03/04 06:47:13  depesz
added patch, release++

Revision 1.11  2002/02/22 23:29:26  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/02/10 15:25:07  depesz
adapterized

Revision 1.9  2002/01/18 02:14:14  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/11/27 16:30:13  mis
- autoupdated to 1.79

Revision 1.7  2001/08/02 08:28:47  mis
- autoupdated to 1.78

Revision 1.6  2001/04/30 15:00:53  baggins
- removed unnecessary file from %%files

Revision 1.5  2001/04/28 14:42:48  mis
- autoupdated to 1.77

Revision 1.4  2001/04/17 12:07:27  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.3  2001/04/14 18:00:05  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.2  2001/01/17 19:42:25  kloczek
- fixed permission on shared objects,
- removed %%{perl_archlib}/perllocal.pod (seems nothing important).

Revision 1.1  2001/01/17 08:58:09  yaro
- initial
